Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0048516
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Loyalty Programs for Web POSmajoralways2022-02-02 15:332022-02-21 08:19
ReportermartinsdanView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget VersionRR22Q1.1
OSLinux 64 bitDatabasePostgreSQLJava version11
OS VersionUbuntu 18.04.1 LTSDatabase version10.10Ant version1.10.5
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0048516: It is not possible to redeem points while doing a purchase

DescriptionWhen doing a purchase, the system asks if the customer wants to burn points.
This should create and use a gift card.
The points are burned but an error is shown.

Also, the error message is missing in AD
Steps To Reproducehttps://watch.screencastify.com/v/P7R0DHwuW9yCVNqUREMi [^]

To Reproduce the issue in livebuilds pi
Code:
GiftCardModel.java consumeAmountGiftCard Line 267. Throw Some Exception

Backoffice:
Don't add Manual Earn Rule for "Automatic Loyalty Program Membership" under Earn Rules

1) Use Customer "STA Customer (Multi Subscription)"
2) Add product
3) Redeem the points
4) Error Occurred (due to "Manual Earn Rule" is not configured for "Automatic Loyalty Program Membership"). KO
5) But points consumed. - KO (Can be checked in Subscriptions tab under Business Partner).
To reuse the loyalty program "Automatic Loyalty Program Membership", reset the points (subscription points and earned points) under Business Partner in postgres

Same Case when removing gift certificate payment
CancelGiftCertificateAmount.java restorePoints Line 75. Throw Some Exception
1) Use Customer "STA Customer (Multi Subscription)"
2) Add product
3) Redeem the points
4) Gift Certificate payment line created.
5) Remove payment. Error should be shown. But its not shown. KO
6) Payment should not be removed until it was success in backoffice. Now, payment is removed before receiving the response from server. KO

For removing gift certificate payment, "Manual Earn Rule" should be added under Earn Rules for the Loyalty Program
Proposed SolutionThe problem is in GiftCardModel.consumeAmountGiftCard when comparing the gift card organization with the current organization.
The current organization is the store but the gift card organization is the legal organization.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0048315 closedranjith_qualiantech_com Gift certificate Burn Rule not working 
related to defect 0048695 newRetail Error when removing GiftCertificate payment created by redeeming points 

-  Notes
(0134821)
hgbot (developer)
2022-02-08 06:29

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.loyalty.burn.giftcertificate/-/merge_requests/6 [^]
(0134822)
hgbot (developer)
2022-02-08 06:35

Merge request closed: https://gitlab.com/openbravo/product/pmods/org.openbravo.loyalty.burn.giftcertificate/-/merge_requests/6 [^]
(0135107)
hgbot (developer)
2022-02-18 06:31

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.loyalty.burn.giftcertificate/-/merge_requests/9 [^]
(0135154)
hgbot (developer)
2022-02-21 08:19

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.loyalty.burn.giftcertificate/-/merge_requests/9 [^]
(0135155)
hgbot (developer)
2022-02-21 08:19

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.loyalty.burn.giftcertificate [^]
Changeset: bc8819a7eeb6c0f929f266aac4cb1eb5d178f596
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 08-02-2022 11:19:12
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.loyalty.burn.giftcertificate/-/commit/bc8819a7eeb6c0f929f266aac4cb1eb5d178f596 [^]

Fixed ISSUE-48516: Points should not be burned if Gift Certificate is not generated
* When redeeming points for Gift Certificate, points should not be consumed
  until the whole process of redeem is finished
* When removing Gift Certificate payment, payment line should not be removed
  until it was removed/revered from the backoffice

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/retail/loyalty/burn/giftcertificate/process/CancelGiftCertificateAmount.java
M src/org/openbravo/retail/loyalty/burn/giftcertificate/process/ConsumeGiftCertificateAmount.java
M web/org.openbravo.retail.loyalty.burn.giftcertificate/app/model/business-object/ticket/actions/RemovePaymentActionPreparation.js
M web/org.openbravo.retail.loyalty.burn.giftcertificate/js/util/giftCertificateUtils.js
---

- Issue History
Date Modified Username Field Change
2022-02-02 15:33 martinsdan New Issue
2022-02-02 15:33 martinsdan Assigned To => Retail
2022-02-02 15:33 martinsdan Triggers an Emergency Pack => No
2022-02-02 15:34 martinsdan Relationship added related to 0048315
2022-02-02 15:36 martinsdan Category Gift cards and gift vouchers => Loyalty Programs for Web POS
2022-02-03 07:27 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2022-02-04 11:40 ranjith_qualiantech_com Status new => scheduled
2022-02-07 12:29 ranjith_qualiantech_com Steps to Reproduce Updated View Revisions
2022-02-08 06:25 ranjith_qualiantech_com Steps to Reproduce Updated View Revisions
2022-02-08 06:29 hgbot Note Added: 0134821
2022-02-08 06:35 hgbot Note Added: 0134822
2022-02-18 06:31 hgbot Note Added: 0135107
2022-02-21 08:19 hgbot Resolution open => fixed
2022-02-21 08:19 hgbot Note Added: 0135154
2022-02-21 08:19 hgbot Status scheduled => closed
2022-02-21 08:19 hgbot Note Added: 0135155
2022-03-01 11:40 ranjith_qualiantech_com Relationship added related to 0048695


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker